package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @since 2023-11-27
 */
public class EsAllotOrderItemVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "调拨订单商品id")
    private Long allotOrderItemId;

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "商品spu名称")
    private String spuName;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "商品skuName")
    private String skuName;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    @Schema(description = "调拨入库数量")
    private Integer allotInCount;

    public EsAllotOrderItemVO() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }

    @Override
    public String toString() {
        return "EsAllotOrderItemVO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", skuId=" + skuId +
                ", skuName='" + skuName + '\'' +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                '}';
    }
}
